SetCamera = function(player)
	local mcv = player.GetActorsByType("antqueen")[1]
	Camera.Position = mcv.CenterPosition
end

StartingTexts = function()
	Media.DisplayMessage("The Giant Ant Empress has gathered her best warriors to decide who should lead the defence against the undead hordes.")
	Trigger.AfterDelay(DateTime.Seconds(5), function()
		Media.DisplayMessage("Defeat all other Giant Ant Queens and her troops.")
	end)
	Trigger.AfterDelay(DateTime.Seconds(20), function()
		Media.DisplayMessage("Good luck Queen!")
	end)
end

WorldLoaded = function()
	StartingTexts()
	if Player.GetPlayer("Multi0").IsLocalPlayer then
		SetCamera(Player.GetPlayer("Multi0"))
	elseif Player.GetPlayer("Multi1").IsLocalPlayer then
		SetCamera(Player.GetPlayer("Multi1"))
	elseif Player.GetPlayer("Multi2").IsLocalPlayer then
		SetCamera(Player.GetPlayer("Multi2"))
	elseif Player.GetPlayer("Multi3").IsLocalPlayer then
		SetCamera(Player.GetPlayer("Multi3"))
	elseif Player.GetPlayer("Multi4").IsLocalPlayer then
		SetCamera(Player.GetPlayer("Multi4"))
	end
end


